#ifndef CHOOSEVERSIONDIALOG_H
#define CHOOSEVERSIONDIALOG_H

#include <QDialog>
#include <QMouseEvent>
#include <QSettings>

class PatchDownloader;
class LotroDatManager;

namespace Ui {
class ChooseVersionDialog;
}

class ChooseVersionDialog : public QWidget
{
    Q_OBJECT

public:
    explicit ChooseVersionDialog(QSettings* settings, PatchDownloader* patch_downloader, LotroDatManager* lotro_dat_manager, QWidget *parent = 0);
    ~ChooseVersionDialog();

public slots:
    void show();

private slots:

    void on_start_patched_clicked();

    void on_start_original_clicked();

    void on_cancel_clicked();

signals:
    void cancelled();

private:
    QSettings* app_settings;
    PatchDownloader* patch_updater;
    LotroDatManager* lotro_manager;

    Ui::ChooseVersionDialog *ui;
    QPoint dragPosition;
};

#endif // CHOOSEVERSIONDIALOG_H
